#### D.13.1.2 MinMult

Procedure from library `cimonom.lib` (see cimonom_lib).

Usage:
  MinMult (a, b); a integer, b integer vector.

Return:
  an integer k, the minimum positive integer such that ka belongs to the semigroup generated by the integers in b.

Assume:
  a is a positive integer, b is a positive integers vector.

Example:

    LIB "cimonom.lib";
    "int a = 46;";
    ==> int a = 46;
    "intvec b = 13,17,59;";
    ==> intvec b = 13,17,59;
    "MinMult(a,b);";
    ==> MinMult(a,b);
    int a = 46;
    intvec b = 13,17,59;
    MinMult(a,b);
    ==> 3
    "// 3*a = 8*b[1] + 2*b[2]"

User manual for Singular version 4.4.1, 2025, generated by texi2html.